package com.tibco.be.functions.custom;

import org.json.JSONObject;
import org.json.XML;

import static com.tibco.be.model.functions.FunctionDomain.ACTION;

@com.tibco.be.model.functions.BEPackage(
		catalog = "Custom",
		category = "Categories.Utils",
		synopsis = "Utility functions."
)
public class Utils {

    @com.tibco.be.model.functions.BEFunction(
    		name = "snapshotOverTime",
    		synopsis = "Serializes the history for a property over time and returns as a String.",
    		signature = "String snapshotOverTime(String JSONString, String rootElement)",
    		params = {
    				@com.tibco.be.model.functions.FunctionParamDescriptor(name="jsonString", type="String", desc="String to parse."),
    				@com.tibco.be.model.functions.FunctionParamDescriptor(name="rootElement", type="String", desc="root element."),
    		},
    		freturn = @com.tibco.be.model.functions.FunctionParamDescriptor(name="xmlString", type="String", desc="An XML for the JSON passed."),
    		version = "1.0",
    		see = "",
    		mapper = @com.tibco.be.model.functions.BEMapper(),
    		description = "parses JSON to XML",
    		cautions = "none",
    		fndomain = {ACTION},
    		example = "")
    
	  public static String jsonToXML(String jsonString, String rootElement){
        long start = System.currentTimeMillis();
       JSONObject jsonObject =  new JSONObject(jsonString);
       String xml;
       if (rootElement!= null)
    	    xml = XML.toString(jsonObject,rootElement);
       else
   	    xml = XML.toString(jsonObject);

        //System.out.println("Time to ParseJSON: " + (System.currentTimeMillis()-start));
        return xml;
	    }
	  
	  public static void main(String[] args) {
		  
	  }

}
